org.apache.felix.framework.util

## Class StringComparator

- java.lang.Object
- - org.apache.felix.framework.util.StringComparator

All Implemented Interfaces:
  Comparator<String>

    public class StringComparator
    extends Object
    implements Comparator<String>

### Field Summary

Fields
`static StringComparator` `COMPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`StringComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(String s1, String s2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### COMPARATOR

    public static final StringComparator COMPARATOR

### Constructor Detail

#### StringComparator

    public StringComparator()

### Method Detail

#### compare

    public int compare(String s1,
                       String s2)

Specified by:
  `compare` in interface `Comparator<String>`